/****************************************************************/
/*								*/
/*     multireq_protos.h -- definition of library functions	*/
/*								*/
/*     Copyright (c) 1992 by Andreas Krebs			*/
/*								*/
/****************************************************************/

#ifndef	CLIB_MULTIREQ_PROTOS_H
#define	CLIB_MULTIREQ_PROTOS_H

#ifndef	LIBRARIES_MULTIREQ_H
#include <libraries/multireq.h>
#endif	/* LIBRARIES_MULTIREQ_H */

/* String functions */

UWORD StrLen( UBYTE *str);
void StrCpy( UBYTE *src, UBYTE *dest );
WORD StrCmp( UBYTE *str1, UBYTE *str2 );
void StrIns( UBYTE *src, UBYTE *dest );
UBYTE UpperCase( ULONG character );
BOOL TestPattern( UBYTE *wild, UBYTE *str );

/* MsgPort Functions */

void DelPort( struct MsgPort *port );
struct MsgPort *CrtPort( UBYTE *name, LONG pri );

/* DOS Functions */

void GetCurrentPath( UBYTE *buff );

/* GFX Functions */

void DrawBox( struct RastPort *rp, ULONG x1, ULONG y1, ULONG x2, ULONG y2,
	ULONG col1, ULONG col2 );
void DrawFilledBox( struct RastPort *rp, ULONG x1, ULONG y1, ULONG x2, ULONG y2,
	ULONG col1, ULONG col2, ULONG fillcol );
void DrawTexts( struct RastPort *rp, struct MRText *textlist );
void DrawWinBorder( struct Window *win, UBYTE *title );
void DrawGadgetBorder( struct Gadget *gadgets, struct Window *win, LONG numgad );

/* FileRequester Functions */

void InitFileReq( struct FileReq **fr_ptr, ULONG numlist );
void FreeFileReq( struct FileReq **fr_ptr );
UWORD FileRequester( struct FileReq *filereq, struct Screen *screen );

#endif	/* CLIB_MULTILIB_PROTOS_H */
